"""galeria URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path
from django.conf.urls import url
from fotos import views

urlpatterns = [
    url(r'^$', views.main),
    url(r'^(\d{4})/$', views.year),
    url(r'^(\d{4})/(\d{2})/$', views.month),
    url(r'^(\d{4})/(\d{2})/([\w-]+)/$', views.event),
    url(r'^(\d{4})/(\d{2})/([\w-]+)/([\w\.-]+)$', views.photo),
    url(r'^admin/upload', views.upload),
    url(r'^admin/highlight/(\d{4})/(\d{2})/$',
        views.highlight_month),
    url(r'^admin/highlight/(\d{4})/(\d{2})/([\w-]+)/$',
        views.highlight_event),
    url(r'^admin/highlight/(\d{4})/(\d{2})/([\w-]+)/([\w\.-]+)$',
        views.highlight_photo),
    url(r'^rest/album_list$', views.album_list),
    url(r'^rest/photo_list$', views.photo_list),
    url(r'^rest/upload_image$', views.upload_image),
    url('admin/', admin.site.urls),
]
