const uploadForm = document.getElementById('upload_form');
const input_file = document.getElementById('id_files');
const progress_bar = document.getElementById('progress');
const result_message = document.getElementById('result');

$("#upload_form").submit(function(e) {
    e.preventDefault();
    $form = $(this)
    var formData = new FormData(this);
    const media_data = input_file.files[0];
    if (media_data != null) {
        console.log(media_data);
        progress_bar.classList.remove('not-visible');
        result_message.classList.add('not-visible');
    }

    $.ajax({
        type: 'POST',
        url: '/galeria/admin/upload/',
        data: formData,
        dataType: 'json',
        beforeSend: function() {},
        xhr:function() {
            const xhr = new window.XMLHttpRequest();
            xhr.upload.addEventListener('progress', e => {
                if (e.lengthComputable) {
                    var message = '';
                    const percentProgress = (e.loaded/e.total) * 100;
                    if (percentProgress == 100)
                        message = '<p>Procesando archivos, espere por favor...</p>';
                    console.log(percentProgress);
                    progress_bar.innerHTML =
                        '<div class="progress-bar" style="width: ' +
                        `${percentProgress}%">${message}</div>`;
                }
            });
            return xhr
        },
        success: function(response) {
            console.log(response);
            uploadForm.reset()
            progress_bar.classList.add('not-visible')
            result_message.classList.remove('not-visible')
            result_message.innerHTML =
                'Se subieron y procesaron exitosamente los archivos.';
        },
        error: function(err){
            console.log(err);
            uploadForm.reset()
            progress_bar.classList.add('not-visible')
            result_message.classList.remove('not-visible')
            result_message.innerHTML =
                'Ocurrió un error al subier los archivos.';
        },
        cache: false,
        contentType: false,
        processData: false,
    });
});
